#!/bin/bash

#Visit Batakang.com


#our default parameters

platform=`uname`
if [ $(uname -p) = 'powerpc' ]; then
	echo "[-] PowerPC is not supported."
	exit 1
fi

if [ $(uname -m) = 'i386'  ] || [ $(uname -m) = 'i686' ]; then
	bit="32"
else
	bit="64"
fi

if [ "$platform" = 'Darwin' ] && [ "$bit" = '64' ]; then
	adb="./adb.osx"
	fastboot="./fastboot.osx"
	version="OS X"
	mode="'Charge Only' mode"
	echo "64 bit Mac System"

elif [ "$platform" = 'Darwin' ] && [ "$bit" = '32' ]; then
	adb="./adb.osx"
	fastboot="./fastboot.osx32"
	version="OS X"
	mode="'Charge Only' mode"
	echo "32 bit Mac System"

elif [ "$platform" = 'Linux' ] && [ "$bit" = '64' ]; then
	adb="./adb.linux"
	fastboot="./fastboot.linux"
	version="Linux"
	mode="'PC mode'"
	echo "64 bit Linux System"

elif [ "$platform" = 'Linux' ] && [ "$bit" = '32' ]; then
	adb="./adb.linux"
	fastboot="./fastboot-linux-i386"
	version="Linux"
	mode="'PC mode'"
	echo "32 bit Linux System"

else 
	echo "Error Reading System Paramters"
	exit 1
fi

chmod +x $adb
chmod +x $fastboot

which $adb > /dev/null 2>&1
if [ $? -ne 0 ]; then
	adb="adb"
fi
which $fastboot > /dev/null 2>&1
if [ $? -ne 0 ]; then
	fastboot="fastboot"
fi

#We should kill ADB and restart it at launch.
echo "Resetting ADB and Launching Droid RAZR utility..."
$adb kill-server > /dev/null 2>&1
$adb start-server > /dev/null 2>&1


#Variables for determining device status.
adb="Unknown"
fastboot="Unknown"
adbcomp="List of devices attached"
fbcomp=""
rooted=""
mode=""
installed=""
nb_menu=11


#determining menus names

	echo "   This Isn't A Windoze Tool.   ";
	echo " ";
	echo " ";
menu_1=" Install Jellybean Leak ROM Compatibility[98.72.8] -- from ADB"
menu_2=" Install Jellybean Official ROM Compatibility[98.72.16] -- from ADB"
menu_3=" Install Jellybean Leak ROM Compatibility[98.72.8] -- from AP Fastboot"
menu_4=" Install Jellybean Official ROM Compatibility[98.72.16] -- from AP Fastboot"



function menu_choice(){

	echo "Make your choice"
			read Answer
			case $Answer in
				1) menu_1 ;;
				2) menu_2 ;;
				
			
			   	*) exit 1 ;;
			   esac
}

function menu_1(){

#Install Jellybean Leak ROM Compatibility[98.72.8]

platform=`uname`
if [ $(uname -p) = 'powerpc' ]; then
	echo "[-] PowerPC is not supported."
	exit 1
fi

if [ $(uname -m) = 'i386'  ] || [ $(uname -m) = 'i686' ]; then
	bit="32"
else
	bit="64"
fi

if [ "$platform" = 'Darwin' ] && [ "$bit" = '64' ]; then
	adb="./adb.osx"
	fastboot="./fastboot.osx"
	version="OS X"
	mode="'Charge Only' mode"
	echo "64 bit Mac System"

elif [ "$platform" = 'Darwin' ] && [ "$bit" = '32' ]; then
	adb="./adb.osx"
	fastboot="./fastboot.osx32"
	version="OS X"
	mode="'Charge Only' mode"
	echo "32 bit Mac System"

elif [ "$platform" = 'Linux' ] && [ "$bit" = '64' ]; then
	adb="./adb.linux"
	fastboot="./fastboot.linux"
	version="Linux"
	mode="'PC mode'"
	echo "64 bit Linux System"

elif [ "$platform" = 'Linux' ] && [ "$bit" = '32' ]; then
	adb="./adb.linux"
	fastboot="./fastboot-linux-i386"
	version="Linux"
	mode="'PC mode'"
	echo "32 bit Linux System"

else 
	echo "Error Reading System Paramters"
	exit 1
fi

chmod +x $adb
chmod +x $fastboot

which $adb > /dev/null 2>&1
if [ $? -ne 0 ]; then
	adb="adb"
fi
which $fastboot > /dev/null 2>&1
if [ $? -ne 0 ]; then
	fastboot="fastboot"
fi

	echo "[*] ----------Safestrap should be installed already!----------"
	echo "[*] Before continuing, ensure USB debugging is enabled and that"
	echo "[*] your phone is connected via USB."
	echo "[*] ----------Safestrap should be installed already!----------"
	echo "[*] Press Enter To Continue"
	read
	echo " Resetting ADB and looking for device..."
	$adb kill-server > /dev/null 2>&1
	$adb wait-for-device > /dev/null 2>&1
	echo "Device found!"
	$adb reboot bootloader
	sudo $fastboot flash boot ./boot_LEAK.img
	sudo $fastboot reboot
	$adb kill-server > /dev/null 2>&1
	echo " Rebooting... Make sure to install a Jellybean Leak compatible"
	echo " Custom ROM in Safestrap! "
	echo " Press any key to exit back to menu"
	read

	menuLOOP

}


function menu_2(){

#Install Jellybean Official ROM Compatibility[98.72.16]

platform=`uname`
if [ $(uname -p) = 'powerpc' ]; then
	echo "[-] PowerPC is not supported."
	exit 1
fi

if [ $(uname -m) = 'i386'  ] || [ $(uname -m) = 'i686' ]; then
	bit="32"
else
	bit="64"
fi

if [ "$platform" = 'Darwin' ] && [ "$bit" = '64' ]; then
	adb="./adb.osx"
	fastboot="./fastboot.osx"
	version="OS X"
	mode="'Charge Only' mode"
	echo "64 bit Mac System"

elif [ "$platform" = 'Darwin' ] && [ "$bit" = '32' ]; then
	adb="./adb.osx"
	fastboot="./fastboot.osx32"
	version="OS X"
	mode="'Charge Only' mode"
	echo "32 bit Mac System"

elif [ "$platform" = 'Linux' ] && [ "$bit" = '64' ]; then
	adb="./adb.linux"
	fastboot="./fastboot.linux"
	version="Linux"
	mode="'PC mode'"
	echo "64 bit Linux System"

elif [ "$platform" = 'Linux' ] && [ "$bit" = '32' ]; then
	adb="./adb.linux"
	fastboot="./fastboot-linux-i386"
	version="Linux"
	mode="'PC mode'"
	echo "32 bit Linux System"

else 
	echo "Error Reading System Paramters"
	exit 1
fi

chmod +x $adb
chmod +x $fastboot

which $adb > /dev/null 2>&1
if [ $? -ne 0 ]; then
	adb="adb"
fi
which $fastboot > /dev/null 2>&1
if [ $? -ne 0 ]; then
	fastboot="fastboot"
fi

	echo "[*] ----------Safestrap should be installed already!----------"
	echo "[*] Before continuing, ensure USB debugging is enabled and that"
	echo "[*] your phone is connected via USB."
	echo "[*] ----------Safestrap should be installed already!----------"
	echo "[*] Press Enter To Continue"
	read
	echo " Resetting ADB and looking for device..."
	$adb kill-server 
	$adb wait-for-device
	echo "Device found!"
	$adb reboot bootloader
	sudo $fastboot flash boot ./boot_JB.img
	sudo $fastboot reboot
	echo " Rebooting... Make sure to install a Jellybean Official compatible"
	echo " Custom ROM in Safestrap! "
	echo " Press any key to exit back to menu"
	read

	menuLOOP
	
exit 1
}

function menu_3(){

#Install Jellybean Leak ROM Compatibility[98.72.8]

platform=`uname`
if [ $(uname -p) = 'powerpc' ]; then
	echo "[-] PowerPC is not supported."
	exit 1
fi

if [ $(uname -m) = 'i386'  ] || [ $(uname -m) = 'i686' ]; then
	bit="32"
else
	bit="64"
fi

if [ "$platform" = 'Darwin' ] && [ "$bit" = '64' ]; then
	adb="./adb.osx"
	fastboot="./fastboot.osx"
	version="OS X"
	mode="'Charge Only' mode"
	echo "64 bit Mac System"

elif [ "$platform" = 'Darwin' ] && [ "$bit" = '32' ]; then
	adb="./adb.osx"
	fastboot="./fastboot.osx32"
	version="OS X"
	mode="'Charge Only' mode"
	echo "32 bit Mac System"

elif [ "$platform" = 'Linux' ] && [ "$bit" = '64' ]; then
	adb="./adb.linux"
	fastboot="./fastboot.linux"
	version="Linux"
	mode="'PC mode'"
	echo "64 bit Linux System"

elif [ "$platform" = 'Linux' ] && [ "$bit" = '32' ]; then
	adb="./adb.linux"
	fastboot="./fastboot-linux-i386"
	version="Linux"
	mode="'PC mode'"
	echo "32 bit Linux System"

else 
	echo "Error Reading System Paramters"
	exit 1
fi

chmod +x $adb
chmod +x $fastboot

which $adb > /dev/null 2>&1
if [ $? -ne 0 ]; then
	adb="adb"
fi
which $fastboot > /dev/null 2>&1
if [ $? -ne 0 ]; then
	fastboot="fastboot"
fi

	echo "Be in AP Fastboot mode."
	echo "Press any key to continue."
	read 
	sudo $fastboot flash boot ./boot_LEAK.img
	sudo $fastboot reboot
	echo " Rebooting..."
	echo " Press any key to exit back to menu"
	read

	menuLOOP

}


function menu_4(){

#Install Jellybean Official ROM Compatibility[98.72.16]

platform=`uname`
if [ $(uname -p) = 'powerpc' ]; then
	echo "[-] PowerPC is not supported."
	exit 1
fi

if [ $(uname -m) = 'i386'  ] || [ $(uname -m) = 'i686' ]; then
	bit="32"
else
	bit="64"
fi

if [ "$platform" = 'Darwin' ] && [ "$bit" = '64' ]; then
	adb="./adb.osx"
	fastboot="./fastboot.osx"
	version="OS X"
	mode="'Charge Only' mode"
	echo "64 bit Mac System"

elif [ "$platform" = 'Darwin' ] && [ "$bit" = '32' ]; then
	adb="./adb.osx"
	fastboot="./fastboot.osx32"
	version="OS X"
	mode="'Charge Only' mode"
	echo "32 bit Mac System"

elif [ "$platform" = 'Linux' ] && [ "$bit" = '64' ]; then
	adb="./adb.linux"
	fastboot="./fastboot.linux"
	version="Linux"
	mode="'PC mode'"
	echo "64 bit Linux System"

elif [ "$platform" = 'Linux' ] && [ "$bit" = '32' ]; then
	adb="./adb.linux"
	fastboot="./fastboot-linux-i386"
	version="Linux"
	mode="'PC mode'"
	echo "32 bit Linux System"

else 
	echo "Error Reading System Paramters"
	exit 1
fi

chmod +x $adb
chmod +x $fastboot

which $adb > /dev/null 2>&1
if [ $? -ne 0 ]; then
	adb="adb"
fi
which $fastboot > /dev/null 2>&1
if [ $? -ne 0 ]; then
	fastboot="fastboot"
fi

	echo "Be in AP Fastboot mode."
	echo "Press any key to continue."
	read 
	sudo $fastboot flash boot ./boot_JB.img
	sudo $fastboot reboot
	echo " Rebooting..."
	echo " Press any key to exit back to menu"
	read

	menuLOOP

}

function header() {
	
	echo " ***********************************************";
	echo " *    ROM Compatibility Flasher                *";
	echo " *        Created By mattlgroff                *";
	echo " ***********************************************";
	echo " ";
}
function printstatus(){
	echo ""
	echo "Too powerful to fall into the wrong hands."
	echo 
}

function menuLOOP(){

	#Lets check our current device status
	#check_status()
	
	#Print our header
	#header
	clear
	menu_=""
	nombre=1
	variable=menu_1
	#Load up our menu selections
		while [[ -n "${!variable}" ]];do
			menu_=$menu_"[$nombre]"${!variable}'\n'
		nombre=$(($nombre+1))
		variable=menu_${nombre}
		done
	echo -e $menu_
	echo "press any key to exit"
		menu_choice
		printstatus

}

	menuLOOP
